Subject: bug#22580: closed (Re: bug#22580: shell-escape in tty in ls)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 13 Dec 2018 20:23:02 +0000

Your bug report

#22580: ls-quotes: shell-escape in tty in ls

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22580: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22580
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22580: shell-escape in tty in ls
From: Assaf Gordon <[email-masked]>
To: Paul Vint <[email-masked]>, [email-masked]
Date: Thu, 13 Dec 2018 13:22:20 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On 2016-02-07 12:44 a.m., Pádraig Brady wrote:
> On 06/02/16 20:28, Paul Vint wrote:
>> Maybe I'm the only one, but the new change in ls seems bad:
>>
>>        set_quoting_style (NULL, shell_escape_quoting_style);
>>
>> This is set if the output is a TTY.
>> Why would we want to quote if the output is a TTY?
>>
>> It makes the output appear strange to me.
>>

We created a summary of common issues and FAQ
regarding the quoting change in ls(1):
   https://www.gnu.org/software/coreutils/quotes.html

If there is an issue that is not addressed there,
please send an email to [email-masked] .

regards,
  - assaf

Subject: shell-escape in tty in ls
From: Paul Vint <[email-masked]>
To: [email-masked]
Date: Sat, 6 Feb 2016 23:28:59 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Maybe I'm the only one, but the new change in ls seems bad:

      set_quoting_style (NULL, shell_escape_quoting_style);

This is set if the output is a TTY.
Why would we want to quote if the output is a TTY?

It makes the output appear strange to me.

Example:
### Begin paste from terminal  ####
pvint@localhost ~ $ mkdir ls
pvint@localhost ~ $ cd ls
pvint@localhost ~/ls $ touch HelloWorld
pvint@localhost ~/ls $ touch Hello\ World
pvint@localhost ~/ls $ ls
'Hello World'  HelloWorld
pvint@localhost ~/ls $ ls -l
total 0
-rw-r--r-- 1 pvint users 0 Feb  6 22:35 'Hello World'
-rw-r--r-- 1 pvint users 0 Feb  6 22:35 HelloWorld
#### end paste from terminal  ####

This change occurred at version 8.25
http://git.savannah.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=109b9220cead6e979d22d16327c4d9f8350431cc#patch3

I don't see the benefit to this change (partly because I'm a stubborn old
guy who thinks "it's been this way for decades!"), but if there is a good
one, I'll say "Cool, thanks!".

Cheers,
Paul Vint
[email-masked]